package gr.cite.annotation.web;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.scheduling.annotation.EnableAsync;

@SpringBootApplication(
        scanBasePackages = {
                "eu.eudat",
                "gr.cite",
                "gr.cite.queueoutbox",
                "gr.cite.queueinbox",
                "gr.cite.annotation.integrationevent",
                "gr.cite.tools",
                "gr.cite.commons"})
@EntityScan({
        "gr.cite.annotation.data"})
@EnableAsync
public class AnnotationApplication {

    public static void main(String[] args) {
        SpringApplication.run(AnnotationApplication.class, args);
    }

}
