package gr.cite.annotation.service.tenant;

import com.fasterxml.jackson.core.JsonProcessingException;
import gr.cite.annotation.model.Tenant;
import gr.cite.annotation.model.persist.TenantTouchedIntegrationEventPersist;
import gr.cite.tools.exception.MyApplicationException;
import gr.cite.tools.exception.MyForbiddenException;
import gr.cite.tools.exception.MyNotFoundException;
import gr.cite.tools.exception.MyValidationException;
import gr.cite.tools.fieldset.FieldSet;

import javax.management.InvalidApplicationException;
import java.util.UUID;

public interface TenantService {

    Tenant persist(TenantTouchedIntegrationEventPersist model, FieldSet fields) throws MyForbiddenException, MyValidationException, MyApplicationException, MyNotFoundException, InvalidApplicationException, JsonProcessingException;

    void deleteAndSave(UUID id) throws MyForbiddenException, InvalidApplicationException;

}
