package eu.eudat.authorization;


import org.springframework.boot.context.properties.ConfigurationProperties;

import java.util.HashSet;
import java.util.List;

@ConfigurationProperties(prefix = "authorization")
public class AuthorizationProperties {

	private List<String> allowedTenantRoles;

	public List<String> getAllowedTenantRoles() {
		return allowedTenantRoles;
	}

	public void setAllowedTenantRoles(List<String> allowedTenantRoles) {
		this.allowedTenantRoles = allowedTenantRoles;
	}

	private List<String> allowedGlobalRoles;

	public List<String> getAllowedGlobalRoles() {
		return allowedGlobalRoles;
	}

	public void setAllowedGlobalRoles(List<String> allowedGlobalRoles) {
		this.allowedGlobalRoles = allowedGlobalRoles;
	}
}
