package eu.eudat.authorization.authorizationcontentresolver;

import eu.eudat.authorization.AffiliatedResource;

import java.util.List;
import java.util.Map;
import java.util.UUID;

public interface AuthorizationContentResolver {
	List<String> getPermissionNames();

	AffiliatedResource dmpAffiliation(UUID id);

	Map<UUID, AffiliatedResource> dmpsAffiliation(List<UUID> ids);

	AffiliatedResource descriptionAffiliation(UUID id);

	Map<UUID, AffiliatedResource> descriptionsAffiliation(List<UUID> ids);

	AffiliatedResource descriptionsAffiliationBySection(UUID dmpId, UUID sectionId);

	Map<UUID, AffiliatedResource> descriptionsAffiliationBySections(UUID dmpId, List<UUID> sectionIds);
}
