package eu.eudat.commons.types.descriptiontemplate.importexport;


import eu.eudat.commons.enums.DescriptionTemplateStatus;

import eu.eudat.model.persist.DescriptionTemplatePersist;
import eu.eudat.model.persist.NewVersionDescriptionTemplatePersist;
import eu.eudat.model.persist.descriptiontemplatedefinition.DefinitionPersist;
import eu.eudat.model.persist.descriptiontemplatedefinition.PagePersist;
import eu.eudat.model.persist.descriptiontemplatedefinition.SectionPersist;
import eu.eudat.service.fielddatahelper.FieldDataHelperServiceProvider;
import jakarta.xml.bind.annotation.*;

import java.util.LinkedList;
import java.util.List;
import java.util.UUID;

@XmlRootElement(name = "root")
@XmlAccessorType(XmlAccessType.FIELD)
public class DescriptionTemplateImportExport {
    @XmlAttribute(name = "description")
    private String description;
    @XmlAttribute(name = "language")
    private String language;
    @XmlAttribute(name = "type")
    private UUID type;
    @XmlElementWrapper(name = "pages")
    @XmlElement(name = "page")
    private List<PageImportExport> pages;


    public List<PageImportExport> getPages() {
        return pages;
    }

    public void setPages(List<PageImportExport> pages) {
        this.pages = pages;
    }


    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    
    public String getLanguage() {
        return language;
    }

    public void setLanguage(String language) {
        this.language = language;
    }


    public UUID getType() {
        return type;
    }

    public void setType(UUID type) {
        this.type = type;
    }
}
