package eu.eudat.commons.types.dmpblueprint.importexport;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;

import java.util.UUID;

@XmlAccessorType(XmlAccessType.FIELD)
public class ReferenceTypeFieldImportExport {

    @XmlAttribute(name = "id")
    private UUID id;
    @XmlAttribute(name = "referenceTypeId")
    private UUID referenceTypeId;
    @XmlAttribute(name = "label")
    private String label;
    @XmlAttribute(name = "placeholder")
    private String placeholder;
    @XmlAttribute(name = "description")
    private String description;
    @XmlAttribute(name = "ordinal")
    private int ordinal;
    @XmlAttribute(name = "required")
    private boolean required;

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    public UUID getReferenceTypeId() {
        return referenceTypeId;
    }

    public void setReferenceTypeId(UUID referenceTypeId) {
        this.referenceTypeId = referenceTypeId;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getPlaceholder() {
        return placeholder;
    }

    public void setPlaceholder(String placeholder) {
        this.placeholder = placeholder;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public int getOrdinal() {
        return ordinal;
    }

    public void setOrdinal(int ordinal) {
        this.ordinal = ordinal;
    }

    public boolean isRequired() {
        return required;
    }

    public void setRequired(boolean required) {
        this.required = required;
    }


}
