package eu.eudat.elastic.converter;

import eu.eudat.commons.enums.DescriptionStatus;
import eu.eudat.commons.enums.DmpStatus;
import org.springframework.core.convert.converter.Converter;
import org.springframework.data.convert.WritingConverter;

@WritingConverter
public class DescriptionStatusToShortConverter implements Converter<DescriptionStatus, Short> {
	@Override
	public Short convert(DescriptionStatus source) {
		return source.getValue();
	}
}
