package eu.eudat.elastic.converter;

import eu.eudat.commons.enums.DmpStatus;
import eu.eudat.commons.enums.IsActive;
import org.springframework.core.convert.converter.Converter;
import org.springframework.data.convert.WritingConverter;

@WritingConverter
public class IsActiveToShortConverter implements Converter<IsActive, Short> {
	@Override
	public Short convert(IsActive source) {
		return source.getValue();
	}
}
