package eu.eudat.elastic.converter;

import eu.eudat.commons.enums.DmpAccessType;
import org.springframework.core.convert.converter.Converter;
import org.springframework.data.convert.ReadingConverter;
import org.springframework.data.convert.WritingConverter;

@ReadingConverter
public class ShortToDmpAccessTypeConverter implements Converter<Integer, DmpAccessType> {
	@Override
	public DmpAccessType convert(Integer source) {
		return DmpAccessType.of(source.shortValue());
	}
}
