package eu.eudat.elastic.converter;

import eu.eudat.commons.enums.DmpUserRole;
import org.springframework.core.convert.converter.Converter;
import org.springframework.data.convert.ReadingConverter;
import org.springframework.data.convert.WritingConverter;

@ReadingConverter
public class ShortToDmpUserRoleConverter implements Converter<Integer, DmpUserRole> {
	@Override
	public DmpUserRole convert(Integer source) {
		return DmpUserRole.of(source.shortValue());
	}
}
