package eu.eudat.elastic.data.nested;

import eu.eudat.commons.enums.DescriptionTemplateVersionStatus;
import eu.eudat.elastic.data.DescriptionElasticEntity;
import gr.cite.tools.elastic.ElasticConstants;
import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.*;

import java.util.UUID;

public class NestedDescriptionTemplateElasticEntity {
	
	@Id
	@Field(value = NestedDescriptionTemplateElasticEntity._id, type = FieldType.Keyword)
	private UUID id;
	public final static String _id = "id";

	@MultiField(mainField = @Field(value = NestedDescriptionTemplateElasticEntity._label, type = FieldType.Text), otherFields = {
			@InnerField(suffix = ElasticConstants.SubFields.keyword, type = FieldType.Keyword)
	})
	private String label;
	public final static String _label = "label";

	
	@Field(value = NestedDescriptionTemplateElasticEntity._versionStatus, type = FieldType.Short)
	private DescriptionTemplateVersionStatus versionStatus;
	public final static String _versionStatus = "versionStatus";

	public UUID getId() {
		return id;
	}

	public void setId(UUID id) {
		this.id = id;
	}

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public DescriptionTemplateVersionStatus getVersionStatus() {
		return versionStatus;
	}

	public void setVersionStatus(DescriptionTemplateVersionStatus versionStatus) {
		this.versionStatus = versionStatus;
	}
}
