package eu.eudat.model;

import eu.eudat.commons.enums.DescriptionTemplateStatus;
import eu.eudat.commons.enums.DescriptionTemplateTypeStatus;
import eu.eudat.commons.enums.DescriptionTemplateVersionStatus;
import eu.eudat.commons.enums.IsActive;
import eu.eudat.model.descriptiontemplatedefinition.Definition;

import java.time.Instant;
import java.util.List;
import java.util.UUID;

public class DescriptionTemplate {

    public final static String _id = "id";
    private UUID id;

    public final static String _label = "label";
    private String label;

    public final static String _description = "description";
    private String description;

    public final static String _groupId = "groupId";
    private UUID groupId;

    public static final String _versionStatus = "versionStatus";
    private DescriptionTemplateVersionStatus versionStatus;

    public final static String _version = "version";
    private Short version;

    public final static String _language = "language";
    private String language;

    public final static String _type = "type";
    private DescriptionTemplateType type;

    public final static String _definition = "definition";
    private Definition definition;

    public final static String _createdAt = "createdAt";
    private Instant createdAt;

    public final static String _updatedAt = "updatedAt";
    private Instant updatedAt;

    public final static String _isActive = "isActive";
    private IsActive isActive;

    public final static String _status = "status";
    private DescriptionTemplateStatus status;

    public final static String _users = "users";
    private List<UserDescriptionTemplate> users;

    public final static String _hash = "hash";
    private String hash;

    private Boolean belongsToCurrentTenant;
    public static final String _belongsToCurrentTenant = "belongsToCurrentTenant";

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public UUID getGroupId() {
        return groupId;
    }

    public void setGroupId(UUID groupId) {
        this.groupId = groupId;
    }

    public Short getVersion() {
        return version;
    }

    public void setVersion(Short version) {
        this.version = version;
    }

    public String getLanguage() {
        return language;
    }

    public void setLanguage(String language) {
        this.language = language;
    }

    public DescriptionTemplateType getType() {
        return type;
    }

    public void setType(DescriptionTemplateType type) {
        this.type = type;
    }

    public Definition getDefinition() {
        return definition;
    }

    public void setDefinition(Definition definition) {
        this.definition = definition;
    }

    public Instant getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Instant createdAt) {
        this.createdAt = createdAt;
    }

    public Instant getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Instant updatedAt) {
        this.updatedAt = updatedAt;
    }

    public IsActive getIsActive() {
        return isActive;
    }

    public void setIsActive(IsActive isActive) {
        this.isActive = isActive;
    }

    public DescriptionTemplateStatus getStatus() {
        return status;
    }

    public void setStatus(DescriptionTemplateStatus status) {
        this.status = status;
    }

    public List<UserDescriptionTemplate> getUsers() {
        return users;
    }

    public void setUsers(List<UserDescriptionTemplate> users) {
        this.users = users;
    }

    public String getHash() {
        return hash;
    }

    public void setHash(String hash) {
        this.hash = hash;
    }

    public DescriptionTemplateVersionStatus getVersionStatus() {
        return versionStatus;
    }

    public void setVersionStatus(DescriptionTemplateVersionStatus versionStatus) {
        this.versionStatus = versionStatus;
    }

    public Boolean getBelongsToCurrentTenant() {
        return belongsToCurrentTenant;
    }

    public void setBelongsToCurrentTenant(Boolean belongsToCurrentTenant) {
        this.belongsToCurrentTenant = belongsToCurrentTenant;
    }
}
