package eu.eudat.model;

import eu.eudat.commons.enums.DmpBlueprintStatus;
import eu.eudat.commons.enums.DmpBlueprintVersionStatus;
import eu.eudat.commons.enums.IsActive;
import eu.eudat.model.dmpblueprintdefinition.Definition;

import java.time.Instant;
import java.util.UUID;

public class DmpBlueprint {

    private UUID id;

    public static final String _id = "id";

    private String label;

    public static final String _label = "label";

    private Definition definition;

    public static final String _definition = "definition";

    private DmpBlueprintStatus status;

    public static final String _status = "status";

    private UUID groupId;

    public static final String _groupId = "groupId";

    private Short version;

    public static final String _version = "version";

    private DmpBlueprintVersionStatus versionStatus;

    public static final String _versionStatus = "versionStatus";

    private Instant createdAt;

    public static final String _createdAt = "createdAt";

    private Instant updatedAt;

    public static final String _updatedAt = "updatedAt";

    private IsActive isActive;

    public static final String _isActive = "isActive";

    private String hash;

    public static final String _hash = "hash";

    private Boolean belongsToCurrentTenant;
    public static final String _belongsToCurrentTenant = "belongsToCurrentTenant";

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public Definition getDefinition() {
        return definition;
    }

    public void setDefinition(Definition definition) {
        this.definition = definition;
    }

    public DmpBlueprintStatus getStatus() {
        return status;
    }

    public void setStatus(DmpBlueprintStatus status) {
        this.status = status;
    }

    public UUID getGroupId() {
        return groupId;
    }

    public void setGroupId(UUID groupId) {
        this.groupId = groupId;
    }

    public Short getVersion() {
        return version;
    }

    public void setVersion(Short version) {
        this.version = version;
    }

    public DmpBlueprintVersionStatus getVersionStatus() {
        return versionStatus;
    }

    public void setVersionStatus(DmpBlueprintVersionStatus versionStatus) {
        this.versionStatus = versionStatus;
    }

    public Instant getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Instant createdAt) {
        this.createdAt = createdAt;
    }

    public Instant getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Instant updatedAt) {
        this.updatedAt = updatedAt;
    }

    public IsActive getIsActive() {
        return isActive;
    }

    public void setIsActive(IsActive isActive) {
        this.isActive = isActive;
    }

    public String getHash() {
        return hash;
    }

    public void setHash(String hash) {
        this.hash = hash;
    }

    public Boolean getBelongsToCurrentTenant() {
        return belongsToCurrentTenant;
    }

    public void setBelongsToCurrentTenant(Boolean belongsToCurrentTenant) {
        this.belongsToCurrentTenant = belongsToCurrentTenant;
    }
}
