package eu.eudat.model;

import eu.eudat.commons.enums.DmpAccessType;
import eu.eudat.commons.enums.DmpStatus;
import eu.eudat.commons.enums.IsActive;

import java.time.Instant;
import java.util.List;
import java.util.UUID;

public class PublicDmp {

    private UUID id;

    public static final String _id = "id";

    private String label;

    public static final String _label = "label";

    private Short version;

    public static final String _version = "version";

    private String description;

    public static final String _description = "description";

    private Instant updatedAt;
    public static final String _updatedAt = "updatedAt";

    private Instant finalizedAt;

    public static final String _finalizedAt = "finalizedAt";

    private Instant publishedAt;

    public static final String _publishedAt = "publishedAt";

    private DmpStatus status;
    public static final String _status = "status";

    private UUID groupId;
    public static final String _groupId = "groupId";

    private DmpAccessType accessType;
    public static final String _accessType = "accessType";

    private List<PublicDmpUser> dmpUsers;

    public static final String _dmpUsers = "dmpUsers";

    private List<PublicDmpReference> dmpReferences;

    public static final String _dmpReferences = "dmpReferences";

    private List<PublicDescription> descriptions;
    public static final String _descriptions = "descriptions";

    private List<PublicEntityDoi> entityDois;
    public static final String _entityDois = "entityDois";

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public Short getVersion() {
        return version;
    }

    public void setVersion(Short version) {
        this.version = version;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Instant getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Instant updatedAt) {
        this.updatedAt = updatedAt;
    }

    public Instant getFinalizedAt() {
        return finalizedAt;
    }

    public void setFinalizedAt(Instant finalizedAt) {
        this.finalizedAt = finalizedAt;
    }

    public Instant getPublishedAt() {
        return publishedAt;
    }

    public void setPublishedAt(Instant publishedAt) {
        this.publishedAt = publishedAt;
    }

    public DmpStatus getStatus() {
        return status;
    }

    public void setStatus(DmpStatus status) {
        this.status = status;
    }

    public UUID getGroupId() {
        return groupId;
    }

    public void setGroupId(UUID groupId) {
        this.groupId = groupId;
    }

    public DmpAccessType getAccessType() {
        return accessType;
    }

    public void setAccessType(DmpAccessType accessType) {
        this.accessType = accessType;
    }

    public List<PublicDmpUser> getDmpUsers() {
        return dmpUsers;
    }

    public void setDmpUsers(List<PublicDmpUser> dmpUsers) {
        this.dmpUsers = dmpUsers;
    }

    public List<PublicDmpReference> getDmpReferences() {
        return dmpReferences;
    }

    public void setDmpReferences(List<PublicDmpReference> dmpReferences) {
        this.dmpReferences = dmpReferences;
    }

    public List<PublicDescription> getDescriptions() {
        return descriptions;
    }

    public void setDescriptions(List<PublicDescription> descriptions) {
        this.descriptions = descriptions;
    }

    public List<PublicEntityDoi> getEntityDois() {
        return entityDois;
    }

    public void setEntityDois(List<PublicEntityDoi> entityDois) {
        this.entityDois = entityDois;
    }
}
