package eu.eudat.model.builder.commonmodels.descriptiontemplate.fielddata;

import eu.eudat.commonmodels.models.descriptiotemplate.fielddata.LabelDataModel;
import eu.eudat.commons.types.descriptiontemplate.fielddata.LabelDataEntity;
import eu.eudat.convention.ConventionService;
import gr.cite.tools.logging.LoggerService;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.config.ConfigurableBeanFactory;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

@Component
@Scope(value = ConfigurableBeanFactory.SCOPE_PROTOTYPE)
public class LabelDataCommonModelBuilder extends BaseFieldDataCommonModelBuilder<LabelDataModel, LabelDataEntity> {
    @Autowired
    public LabelDataCommonModelBuilder(
		    ConventionService conventionService
    ) {
        super(conventionService, new LoggerService(LoggerFactory.getLogger(LabelDataCommonModelBuilder.class)));
    }

    protected LabelDataModel getInstance() {
        return new LabelDataModel();
    }

    @Override
    protected void buildChild(LabelDataEntity d, LabelDataModel m) {
        
    }
}
