package eu.eudat.model.descriptiontemplatedefinition;

import eu.eudat.commons.enums.FieldType;
import eu.eudat.commons.enums.FieldValidationType;
import eu.eudat.model.descriptiontemplatedefinition.fielddata.BaseFieldData;

import java.util.List;

public class Field {

	public final static String _id = "id";
	private String id;

	public final static String _ordinal = "ordinal";
	private Integer ordinal;

	public final static String _numbering = "numbering";
	private String numbering; //TODO maybe remove

	public final static String _schematics = "schematics";
	private List<String> schematics;

	public final static String _defaultValue = "defaultValue";
	private String defaultValue;

	public final static String _visibilityRules = "visibilityRules";
	private List<Rule> visibilityRules;

	public final static String _validations = "validations";
	private List<FieldValidationType> validations;

	public final static String _includeInExport = "includeInExport";
	private Boolean includeInExport;

	public final static String _data = "data";
	private BaseFieldData data;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Integer getOrdinal() {
		return ordinal;
	}

	public void setOrdinal(Integer ordinal) {
		this.ordinal = ordinal;
	}

	public String getNumbering() {
		return numbering;
	}

	public void setNumbering(String numbering) {
		this.numbering = numbering;
	}

	public List<String> getSchematics() {
		return schematics;
	}

	public void setSchematics(List<String> schematics) {
		this.schematics = schematics;
	}

	public String getDefaultValue() {
		return defaultValue;
	}

	public void setDefaultValue(String defaultValue) {
		this.defaultValue = defaultValue;
	}

	public List<Rule> getVisibilityRules() {
		return visibilityRules;
	}

	public void setVisibilityRules(List<Rule> visibilityRules) {
		this.visibilityRules = visibilityRules;
	}

	public List<FieldValidationType> getValidations() {
		return validations;
	}

	public void setValidations(List<FieldValidationType> validations) {
		this.validations = validations;
	}

	public Boolean getIncludeInExport() {
		return includeInExport;
	}

	public void setIncludeInExport(Boolean includeInExport) {
		this.includeInExport = includeInExport;
	}

	public BaseFieldData getData() {
		return data;
	}

	public void setData(BaseFieldData data) {
		this.data = data;
	}
}
