package eu.eudat.service.elastic;

import org.springframework.boot.context.properties.ConfigurationProperties;

@ConfigurationProperties(prefix = "app-elastic")
public class AppElasticProperties {
	private boolean enabled;
	private String dmpIndexName;
	private String descriptionIndexName;
	private int resetBatchSize;
	private boolean enableIcuAnalysisPlugin;

	public String getDmpIndexName() {
		return dmpIndexName;
	}

	public void setDmpIndexName(String dmpIndexName) {
		this.dmpIndexName = dmpIndexName;
	}

	public boolean isEnableIcuAnalysisPlugin() {
		return enableIcuAnalysisPlugin;
	}

	public void setEnableIcuAnalysisPlugin(boolean enableIcuAnalysisPlugin) {
		this.enableIcuAnalysisPlugin = enableIcuAnalysisPlugin;
	}

	public boolean isEnabled() {
		return enabled;
	}

	public void setEnabled(boolean enabled) {
		this.enabled = enabled;
	}

	public String getDescriptionIndexName() {
		return descriptionIndexName;
	}

	public void setDescriptionIndexName(String descriptionIndexName) {
		this.descriptionIndexName = descriptionIndexName;
	}

	public int getResetBatchSize() {
		return resetBatchSize;
	}

	public void setResetBatchSize(int resetBatchSize) {
		this.resetBatchSize = resetBatchSize;
	}
}
