DO $$DECLARE
   this_version CONSTANT varchar := '00.01.024';
BEGIN
   PERFORM * FROM "DBVersion" WHERE version = this_version;
   IF FOUND THEN RETURN; END IF;

        CREATE TABLE public."Language"
        (
            id uuid NOT NULL,
            code character varying(20) NOT NULL,
            payload text,
            created_at timestamp without time zone NOT NULL,
            updated_at timestamp without time zone NOT NULL,
            is_active smallint NOT NULL,
            CONSTRAINT "Language_pkey" PRIMARY KEY (id)
        )
        WITH (
            OIDS = FALSE
        );

        INSERT INTO public."DBVersion" VALUES ('DMPDB', '00.01.024', '2023-11-27 12:00:00.000000+02', now(), 'Add table Language.');

END$$;