DO $$DECLARE
   this_version CONSTANT varchar := '00.01.034';
BEGIN
   PERFORM * FROM "DBVersion" WHERE version = this_version;
   IF FOUND THEN RETURN; END IF;

CREATE TABLE IF NOT EXISTS public."ntf_UserCredential"
(
    "id" uuid NOT NULL,
    "user" uuid NOT NULL,
    "external_id" character varying(512) COLLATE pg_catalog."default" NOT NULL,
    "created_at" timestamp without time zone NOT NULL,
    "updated_at" timestamp without time zone NOT NULL,
    "is_active" smallint NOT NULL DEFAULT 1,
    "data" character varying COLLATE pg_catalog."default",
    CONSTRAINT "ntf_UserCredential_pkey" PRIMARY KEY (id),
    CONSTRAINT "ntf_UserCredential_user_fkey" FOREIGN KEY ("user")
        REFERENCES public."ntf_User" (id) MATCH SIMPLE
        ON UPDATE NO ACTION
        ON DELETE NO ACTION
);

    INSERT INTO public."DBVersion" VALUES ('DMPDB', '00.01.034', '2024-01-24 12:00:00.000000+02', now(), 'Add table ntf_UserCredential.');

END$$;