import { Lookup } from '@common/model/lookup';
import { Guid } from '@common/types/guid';
import { IsActive } from '../common/enum/is-active.enum';

export class DmpDescriptionTemplateLookup extends Lookup implements DmpDescriptionTemplateFilter {
	ids: Guid[];
	excludedIds: Guid[];
	dmpIds: Guid[];
	descriptionTemplateGroupIds: Guid[];
	sectionIds: Guid[];
	isActive: IsActive[];


	constructor() {
		super();
	}
}

export interface DmpDescriptionTemplateFilter {
	ids: Guid[];
	excludedIds: Guid[];
	dmpIds: Guid[];
	descriptionTemplateGroupIds: Guid[];
	sectionIds: Guid[];
	isActive: IsActive[];
}
