import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { DmpListingComponent } from './dmp-listing.component';

const routes: Routes = [
	{
		path: '',
		component: DmpListingComponent,
		// canActivate: [AuthGuard],
		data: {
			breadcrumb: true
		},
	},
	{
		path: 'versions/:groupId',
		component: DmpListingComponent,
		data: {
			breadcrumb: true
		},
	},
];

@NgModule({
	imports: [RouterModule.forChild(routes)],
	exports: [RouterModule],
	providers: []
})
export class DmpListingRoutingModule { }
