import { NgModule } from '@angular/core';
import { FormattingModule } from '@app/core/formatting.module';
import { CommonFormsModule } from '@common/forms/common-forms.module';
import { CommonUiModule } from '@common/ui/common-ui.module';
import { NgxDropzoneModule } from 'ngx-dropzone';
import { DmpUploadDialogComponent } from './dmp-upload-dialog.component';

@NgModule({
	imports: [
		CommonUiModule,
		CommonFormsModule,
		FormattingModule,
		NgxDropzoneModule
	],
	declarations: [
		DmpUploadDialogComponent,
	],
	exports: [
		DmpUploadDialogComponent,
	]
})
export class DmpUploadDialogModule { }
