import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { DmpOverviewComponent } from './dmp-overview.component';

const routes: Routes = [
	{
		path: ':id',
		component: DmpOverviewComponent,
		data: {
			breadcrumb: true,
			title: 'GENERAL.TITLES.DATASET-OVERVIEW'
		},
	},
	{
		path: 'public/:publicId',
		component: DmpOverviewComponent,
		data: {
			breadcrumb: true,
			title: 'GENERAL.TITLES.DATASET-OVERVIEW'
		},
	}
];

@NgModule({
	imports: [RouterModule.forChild(routes)],
	exports: [RouterModule],
	providers: []
})
export class DmpOverviewRoutingModule { }
