import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { SupportiveMaterialEditorComponent } from './supportive-material-editor.component';
import { AdminAuthGuard } from '@app/core/admin-auth-guard.service';


const routes: Routes = [
	{ path: '', component: SupportiveMaterialEditorComponent, canActivate: [AdminAuthGuard] },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class SupportiveMaterialEditorRoutingModule { }
