package eu.old.eudat.data.dao.entities;

import eu.old.eudat.data.dao.DatabaseAccessLayer;
import eu.old.eudat.data.dao.criteria.DataManagementPlanBlueprintCriteria;
import eu.old.eudat.data.dao.criteria.DataManagementPlanProfileCriteria;
import eu.old.eudat.data.entities.DMPProfile;
import eu.old.eudat.queryable.QueryableList;

import java.util.UUID;

/**
 * Created by ikalyvas on 3/21/2018.
 */
public interface DMPProfileDao extends DatabaseAccessLayer<DMPProfile, UUID> {

    QueryableList<DMPProfile> getWithCriteria(DataManagementPlanProfileCriteria criteria);

    QueryableList<DMPProfile> getWithCriteriaBlueprint(DataManagementPlanBlueprintCriteria criteria);

}
