package eu.old.eudat.data.dao.entities;

import eu.old.eudat.data.dao.DatabaseAccessLayer;
import eu.old.eudat.data.dao.criteria.FunderCriteria;
import eu.old.eudat.data.entities.Funder;
import eu.old.eudat.data.entities.UserInfo;
import eu.old.eudat.queryable.QueryableList;

import java.util.UUID;

public interface FunderDao extends DatabaseAccessLayer<Funder, UUID> {

	QueryableList<Funder> getWithCritetia(FunderCriteria criteria);

	QueryableList<Funder> getAuthenticated(QueryableList<Funder> query, UserInfo principal);
}
