package eu.old.eudat.data.dao.entities;

import eu.old.eudat.data.dao.DatabaseAccessLayer;
import eu.old.eudat.data.dao.criteria.ProjectCriteria;
import eu.old.eudat.data.entities.Project;
import eu.old.eudat.data.entities.UserInfo;
import eu.old.eudat.queryable.QueryableList;

import java.util.UUID;

public interface ProjectDao extends DatabaseAccessLayer<Project, UUID> {

	QueryableList<Project> getWithCritetia(ProjectCriteria criteria);

	QueryableList<Project> getAuthenticated(QueryableList<Project> query, UserInfo principal);
}
