package eu.old.eudat.data.dao.entities;

import eu.old.eudat.data.dao.DatabaseAccessLayer;
import eu.old.eudat.data.dao.criteria.UserInfoCriteria;
import eu.old.eudat.data.entities.UserInfo;
import eu.old.eudat.queryable.QueryableList;

import java.util.UUID;

public interface UserInfoDao extends DatabaseAccessLayer<UserInfo, UUID> {

    QueryableList<UserInfo> getWithCriteria(UserInfoCriteria criteria);

    QueryableList<UserInfo> getAuthenticated(QueryableList<UserInfo> users, UUID principalId);
}