package eu.old.eudat.logic.proxy.config.configloaders;

import eu.old.eudat.logic.proxy.config.ExternalUrls;
import eu.old.eudat.logic.proxy.config.Semantic;
import eu.old.eudat.logic.security.customproviders.ConfigurableProvider.entities.ConfigurableProviders;
import eu.old.eudat.models.data.pid.PidLinks;
import org.apache.poi.xwpf.usermodel.XWPFDocument;

import java.util.List;
import java.util.Map;

public interface ConfigLoader {
    ExternalUrls getExternalUrls();
    List<Semantic> getSemantics();
    XWPFDocument getDocument();
    XWPFDocument getDatasetDocument();
    ConfigurableProviders getConfigurableProviders();
    PidLinks getPidLinks();
    Map<String, String> getKeyToSourceMap();
}
