package eu.old.eudat.logic.utilities.documents.xml.dmpXml.dmpBlueprintModel;

import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlRootElement;
import java.util.UUID;

@XmlRootElement(name = "descriptionTemplate")
public class DescriptionTemplate {

    private String id;
    private String descriptionTemplateId;
    private String label;
    private int minMultiplicity;
    private int maxMultiplicity;

    @XmlAttribute(name = "id")
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @XmlAttribute(name = "descriptionTemplateId")
    public String getDescriptionTemplateId() {
        return descriptionTemplateId;
    }

    public void setDescriptionTemplateId(String descriptionTemplateId) {
        this.descriptionTemplateId = descriptionTemplateId;
    }

    @XmlAttribute(name = "label")
    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    @XmlAttribute(name = "minMultiplicity")
    public int getMinMultiplicity() {
        return minMultiplicity;
    }

    public void setMinMultiplicity(int minMultiplicity) {
        this.minMultiplicity = minMultiplicity;
    }

    @XmlAttribute(name = "maxMultiplicity")
    public int getMaxMultiplicity() {
        return maxMultiplicity;
    }

    public void setMaxMultiplicity(int maxMultiplicity) {
        this.maxMultiplicity = maxMultiplicity;
    }

    public eu.old.eudat.models.data.entities.xmlmodels.dmpprofiledefinition.DescriptionTemplate toDmpBlueprintCompositeModel() {
        eu.old.eudat.models.data.entities.xmlmodels.dmpprofiledefinition.DescriptionTemplate descriptionTemplate = new eu.old.eudat.models.data.entities.xmlmodels.dmpprofiledefinition.DescriptionTemplate();
        descriptionTemplate.setId(UUID.fromString(this.id));
        descriptionTemplate.setDescriptionTemplateId(UUID.fromString(this.descriptionTemplateId));
        descriptionTemplate.setLabel(this.label);
        descriptionTemplate.setMinMultiplicity(this.minMultiplicity);
        descriptionTemplate.setMaxMultiplicity(this.maxMultiplicity);
        return descriptionTemplate;
    }

}
