package gr.cite.notification.data.conventers;


import gr.cite.notification.common.enums.NotificationContactType;

import jakarta.persistence.Converter;

@Converter
public class NotificationContactTypeConverter extends DatabaseEnumConverter<NotificationContactType, Short> {
    public NotificationContactType of(Short i) {
        return NotificationContactType.of(i);
    }

    @Override
    public Short convertToDatabaseColumn(NotificationContactType value) {
        if (value == null)  return null;
        return value.getValue();
    }

    @Override
    public NotificationContactType convertToEntityAttribute(Short dbData) {
        return dbData == null ? null : this.of(dbData);
    }
}
