package gr.cite.notification.data.conventers;


import gr.cite.notification.common.enums.NotificationNotifyState;

import jakarta.persistence.Converter;

@Converter
public class NotificationNotifyStateConverter extends DatabaseEnumConverter<NotificationNotifyState, Short> {
    public NotificationNotifyState of(Short i) {
        return NotificationNotifyState.of(i);
    }

    @Override
    public Short convertToDatabaseColumn(NotificationNotifyState value) {
        if (value == null)  return null;
        return value.getValue();
    }

    @Override
    public NotificationNotifyState convertToEntityAttribute(Short dbData) {
        return dbData == null ? null : this.of(dbData);
    }
}
