package gr.cite.notification.data.conventers;


import gr.cite.notification.common.enums.NotificationTemplateKind;

import jakarta.persistence.Converter;

@Converter
public class NotificationTemplateKindConverter extends DatabaseEnumConverter<NotificationTemplateKind, Short> {
    public NotificationTemplateKind of(Short i) {
        return NotificationTemplateKind.of(i);
    }

    @Override
    public Short convertToDatabaseColumn(NotificationTemplateKind value) {
        if (value == null)  return null;
        return value.getValue();
    }

    @Override
    public NotificationTemplateKind convertToEntityAttribute(Short dbData) {
        return dbData == null ? null : this.of(dbData);
    }
}
