package gr.cite.notification.integrationevent.inbox.notify;

import gr.cite.notification.common.enums.NotificationContactType;
import gr.cite.notification.integrationevent.inbox.ConsistencyPredicates;

import java.util.UUID;

public class NotifyConsistencyPredicates implements ConsistencyPredicates {

    private UUID userId;

    private NotificationContactType contactTypeHint;

    private String contactHint;

    public NotifyConsistencyPredicates(UUID userId, NotificationContactType contactTypeHint, String contactHint) {
        this.userId = userId;
        this.contactTypeHint = contactTypeHint;
        this.contactHint = contactHint;
    }

    public UUID getUserId() {
        return userId;
    }

    public void setUserId(UUID userId) {
        this.userId = userId;
    }

    public NotificationContactType getContactTypeHint() {
        return contactTypeHint;
    }

    public void setContactTypeHint(NotificationContactType contactTypeHint) {
        this.contactTypeHint = contactTypeHint;
    }

    public String getContactHint() {
        return contactHint;
    }

    public void setContactHint(String contactHint) {
        this.contactHint = contactHint;
    }
}
