package gr.cite.notification.model;

import gr.cite.notification.common.enums.IsActive;
import gr.cite.notification.common.enums.NotificationTemplateChannel;
import gr.cite.notification.common.enums.NotificationTemplateKind;
import gr.cite.notification.model.notificationtemplate.NotificationTemplateValue;


import java.time.Instant;
import java.util.UUID;

public class NotificationTemplate {

    private UUID id;
    public static final String _id = "id";

    private NotificationTemplateChannel channel;
    public static final String _channel = "channel";

    private UUID notificationType;
    public static final String _notificationType = "notificationType";

    private NotificationTemplateKind kind;
    public static final String _kind = "kind";

    private String languageCode;
    public static final String _languageCode = "languageCode";

    private NotificationTemplateValue value;
    public static final String _value = "value";

    private IsActive isActive;
    public static final String _isActive = "isActive";

    private Instant createdAt;
    public static final String _createdAt = "createdAt";

    private Instant updatedAt;
    public static final String _updatedAt = "updatedAt";

    private Tenant tenant;
    public static final String _tenant = "tenant";

    private String hash;
    public static final String _hash = "hash";

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    public NotificationTemplateChannel getChannel() {
        return channel;
    }

    public void setChannel(NotificationTemplateChannel channel) {
        this.channel = channel;
    }

    public UUID getNotificationType() {
        return notificationType;
    }

    public void setNotificationType(UUID notificationType) {
        this.notificationType = notificationType;
    }

    public NotificationTemplateKind getKind() {
        return kind;
    }

    public void setKind(NotificationTemplateKind kind) {
        this.kind = kind;
    }

    public String getLanguageCode() {
        return languageCode;
    }

    public void setLanguageCode(String languageCode) {
        this.languageCode = languageCode;
    }

    public NotificationTemplateValue getValue() {
        return value;
    }

    public void setValue(NotificationTemplateValue value) {
        this.value = value;
    }

    public IsActive getIsActive() {
        return isActive;
    }

    public void setIsActive(IsActive isActive) {
        this.isActive = isActive;
    }

    public Instant getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Instant createdAt) {
        this.createdAt = createdAt;
    }

    public Instant getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Instant updatedAt) {
        this.updatedAt = updatedAt;
    }

    public Tenant getTenant() {
        return tenant;
    }

    public void setTenant(Tenant tenant) {
        this.tenant = tenant;
    }

    public String getHash() {
        return hash;
    }

    public void setHash(String hash) {
        this.hash = hash;
    }
}
