package gr.cite.notification.model;

import gr.cite.notification.common.enums.IsActive;
import gr.cite.notification.common.enums.TenantConfigurationType;
import gr.cite.notification.common.types.tenantconfiguration.DefaultUserLocaleConfigurationDataContainer;
import gr.cite.notification.common.types.tenantconfiguration.EmailClientConfigurationDataContainer;
import gr.cite.notification.common.types.tenantconfiguration.NotifierListConfigurationDataContainer;

import java.time.Instant;
import java.util.UUID;

public class TenantConfiguration {

    private UUID id;

    public static final String _id = "id";

    private UUID tenantId;

    public static final String _tenantId = "tenantId";

    private TenantConfigurationType type;

    public static final String _type = "type";

    private String value;

    public static final String _value = "value";

    private EmailClientConfigurationDataContainer emailClientData;

    public static final String _emailClientData = "emailClientData";

    private DefaultUserLocaleConfigurationDataContainer defaultUserLocaleData;

    public static final String _defaultUserLocaleData = "defaultUserLocaleData";

    private NotifierListConfigurationDataContainer notifierListData;

    public static final String _notifierListData = "notifierListData";

    private IsActive isActive;

    public static final String _isActive = "isActive";

    private Instant createdAt;

    public static final String _createdAt = "createdAt";

    private Instant updatedAt;

    public static final String _updatedAt = "updatedAt";

    private String hash;

    public static final String _hash = "hash";

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    public UUID getTenantId() {
        return tenantId;
    }

    public void setTenantId(UUID tenantId) {
        this.tenantId = tenantId;
    }

    public TenantConfigurationType getType() {
        return type;
    }

    public void setType(TenantConfigurationType type) {
        this.type = type;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public EmailClientConfigurationDataContainer getEmailClientData() {
        return emailClientData;
    }

    public void setEmailClientData(EmailClientConfigurationDataContainer emailClientData) {
        this.emailClientData = emailClientData;
    }

    public DefaultUserLocaleConfigurationDataContainer getDefaultUserLocaleData() {
        return defaultUserLocaleData;
    }

    public void setDefaultUserLocaleData(DefaultUserLocaleConfigurationDataContainer defaultUserLocaleData) {
        this.defaultUserLocaleData = defaultUserLocaleData;
    }

    public NotifierListConfigurationDataContainer getNotifierListData() {
        return notifierListData;
    }

    public void setNotifierListData(NotifierListConfigurationDataContainer notifierListData) {
        this.notifierListData = notifierListData;
    }

    public IsActive getIsActive() {
        return isActive;
    }

    public void setIsActive(IsActive isActive) {
        this.isActive = isActive;
    }

    public Instant getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Instant createdAt) {
        this.createdAt = createdAt;
    }

    public Instant getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Instant updatedAt) {
        this.updatedAt = updatedAt;
    }

    public String getHash() {
        return hash;
    }

    public void setHash(String hash) {
        this.hash = hash;
    }
}
