package gr.cite.notification.model.notificationtemplate;

import gr.cite.notification.common.enums.EmailOverrideMode;

import java.util.List;

public class NotificationTemplateValue {

    private String subjectText;
    public static final String _subjectText = "subjectText";
    private String subjectKey;
    public static final String _subjectKey = "subjectKey";
    private FieldOptions subjectFieldOptions;
    public static final String _subjectFieldOptions = "subjectFieldOptions";
    private String bodyText;
    public static final String _bodyText = "bodyText";
    private String bodyKey;
    public static final String _bodyKey = "bodyKey";
    private String priorityKey;
    public static final String _priorityKey = "priorityKey";
    private Boolean allowAttachments;
    public static final String _allowAttachments = "allowAttachments";
    private List<String> cc;
    public static final String _cc = "cc";
    private EmailOverrideMode ccMode;
    public static final String _ccMode = "ccMode";
    private List<String> bcc;
    public static final String _bcc = "bcc";
    private EmailOverrideMode bccMode;
    public static final String _bccMode = "bccMode";
    private List<String> extraDataKeys;
    public static final String _extraDataKeys = "extraDataKeys";
    private FieldOptions bodyFieldOptions;
    public static final String _bodyFieldOptions = "bodyFieldOptions";

    public String getSubjectText() {
        return subjectText;
    }

    public void setSubjectText(String subjectText) {
        this.subjectText = subjectText;
    }

    public String getSubjectKey() {
        return subjectKey;
    }

    public void setSubjectKey(String subjectKey) {
        this.subjectKey = subjectKey;
    }

    public FieldOptions getSubjectFieldOptions() {
        return subjectFieldOptions;
    }

    public void setSubjectFieldOptions(FieldOptions subjectFieldOptions) {
        this.subjectFieldOptions = subjectFieldOptions;
    }

    public String getBodyText() {
        return bodyText;
    }

    public void setBodyText(String bodyText) {
        this.bodyText = bodyText;
    }

    public String getBodyKey() {
        return bodyKey;
    }

    public void setBodyKey(String bodyKey) {
        this.bodyKey = bodyKey;
    }

    public String getPriorityKey() {
        return priorityKey;
    }

    public void setPriorityKey(String priorityKey) {
        this.priorityKey = priorityKey;
    }

    public Boolean getAllowAttachments() {
        return allowAttachments;
    }

    public void setAllowAttachments(Boolean allowAttachments) {
        this.allowAttachments = allowAttachments;
    }

    public List<String> getCc() {
        return cc;
    }

    public void setCc(List<String> cc) {
        this.cc = cc;
    }

    public EmailOverrideMode getCcMode() {
        return ccMode;
    }

    public void setCcMode(EmailOverrideMode ccMode) {
        this.ccMode = ccMode;
    }

    public List<String> getBcc() {
        return bcc;
    }

    public void setBcc(List<String> bcc) {
        this.bcc = bcc;
    }

    public EmailOverrideMode getBccMode() {
        return bccMode;
    }

    public void setBccMode(EmailOverrideMode bccMode) {
        this.bccMode = bccMode;
    }

    public List<String> getExtraDataKeys() {
        return extraDataKeys;
    }

    public void setExtraDataKeys(List<String> extraDataKeys) {
        this.extraDataKeys = extraDataKeys;
    }

    public FieldOptions getBodyFieldOptions() {
        return bodyFieldOptions;
    }

    public void setBodyFieldOptions(FieldOptions bodyFieldOptions) {
        this.bodyFieldOptions = bodyFieldOptions;
    }
}
