package gr.cite.notification.service.notificationtemplate;

import gr.cite.notification.common.enums.NotificationTemplateChannel;
import gr.cite.notification.model.NotificationTemplate;
import gr.cite.notification.model.persist.NotificationTemplatePersist;
import gr.cite.tools.exception.MyApplicationException;
import gr.cite.tools.exception.MyForbiddenException;
import gr.cite.tools.exception.MyNotFoundException;
import gr.cite.tools.exception.MyValidationException;
import gr.cite.tools.fieldset.FieldSet;

import javax.management.InvalidApplicationException;
import java.util.UUID;

public interface NotificationTemplateService {

    NotificationTemplate persist(NotificationTemplatePersist model, FieldSet fields) throws MyForbiddenException, MyValidationException, MyApplicationException, MyNotFoundException, InvalidApplicationException;
    void deleteAndSave(UUID id) throws MyForbiddenException, InvalidApplicationException;
    NotificationTemplate lookupOverriddenTemplates(UUID notificationType, NotificationTemplateChannel channel, String language);

}
