package gr.cite.notification.service.track.model;

import gr.cite.notification.common.enums.NotificationTrackingProcess;
import gr.cite.notification.common.enums.NotificationTrackingState;

public class TrackerResponse {
    private NotificationTrackingState trackingState;
    private NotificationTrackingProcess trackingProgress;
    private String trackingData;

    public TrackerResponse() {
    }

    public TrackerResponse(NotificationTrackingState trackingState, NotificationTrackingProcess trackingProgress, String trackingData) {
        this.trackingState = trackingState;
        this.trackingProgress = trackingProgress;
        this.trackingData = trackingData;
    }

    public NotificationTrackingState getTrackingState() {
        return trackingState;
    }

    public void setTrackingState(NotificationTrackingState trackingState) {
        this.trackingState = trackingState;
    }

    public NotificationTrackingProcess getTrackingProgress() {
        return trackingProgress;
    }

    public void setTrackingProgress(NotificationTrackingProcess trackingProgress) {
        this.trackingProgress = trackingProgress;
    }

    public String getTrackingData() {
        return trackingData;
    }

    public void setTrackingData(String trackingData) {
        this.trackingData = trackingData;
    }
}
