package gr.cite.annotation.authorization.authorizationcontentresolver;


import gr.cite.annotation.authorization.AffiliatedResource;

import java.util.List;
import java.util.Map;
import java.util.UUID;

public interface AuthorizationContentResolver {
	AffiliatedResource entityAffiliation(UUID id);

	Map<UUID, AffiliatedResource> entitiesAffiliation(List<UUID> ids);

	List<String> getPermissionNames();

	AffiliatedResource annotationAffiliation(UUID id);

	Map<UUID, AffiliatedResource> annotationsAffiliation(List<UUID> ids);
}
