package gr.cite.annotation.service.annotation;

import gr.cite.annotation.model.Annotation;
import gr.cite.annotation.model.persist.AnnotationPersist;
import gr.cite.tools.exception.MyApplicationException;
import gr.cite.tools.exception.MyForbiddenException;
import gr.cite.tools.exception.MyNotFoundException;
import gr.cite.tools.exception.MyValidationException;
import gr.cite.tools.fieldset.FieldSet;

import javax.management.InvalidApplicationException;
import java.util.UUID;

public interface AnnotationService {

    Annotation persist(AnnotationPersist model, FieldSet fields) throws MyForbiddenException, MyValidationException, MyApplicationException, MyNotFoundException;

    void deleteAndSave(UUID id) throws InvalidApplicationException;

}
