package eu.eudat.authorization;

import eu.eudat.commons.enums.DmpUserRole;
import gr.cite.commons.web.authz.policy.AuthorizationResource;

import java.util.HashSet;
import java.util.List;

public class AffiliatedResource extends AuthorizationResource {
	private HashSet<DmpUserRole> dmpUserRoles;

	public AffiliatedResource() {
		dmpUserRoles = new HashSet<>();
	}

	public AffiliatedResource(DmpUserRole dmpUserRole) {
		this(List.of(dmpUserRole));
	}

	public AffiliatedResource(List<DmpUserRole> dmpUserRoles) {
		this.dmpUserRoles = new HashSet<>(dmpUserRoles);
	}

	public HashSet<DmpUserRole> getDmpUserRoles() {
		return dmpUserRoles;
	}

	public void setDmpUserRoles(HashSet<DmpUserRole> dmpUserRoles) {
		this.dmpUserRoles = dmpUserRoles;
	}
}
