package eu.eudat.commons.notification;

import org.springframework.boot.context.properties.ConfigurationProperties;

import java.util.UUID;

@ConfigurationProperties(prefix = "notification")
public class NotificationProperties {

	private UUID dmpInvitationExternalUserType;
	private UUID dmpInvitationExistingUserType;
	private UUID dmpModifiedType;
	private UUID dmpFinalisedType;
	private UUID descriptionModifiedType;
	private UUID descriptionFinalisedType;
	private UUID mergeAccountConfirmationType;
	private UUID removeCredentialConfirmationType;
	private UUID dmpDepositType;
	private UUID descriptionTemplateInvitationType;
	private UUID contactSupportType;
	private UUID publicContactSupportType;
	private int emailExpirationTimeSeconds;
	private String contactSupportEmail;

	public UUID getDmpInvitationExternalUserType() {
		return dmpInvitationExternalUserType;
	}

	public void setDmpInvitationExternalUserType(UUID dmpInvitationExternalUserType) {
		this.dmpInvitationExternalUserType = dmpInvitationExternalUserType;
	}

	public UUID getDmpInvitationExistingUserType() {
		return dmpInvitationExistingUserType;
	}

	public void setDmpInvitationExistingUserType(UUID dmpInvitationExistingUserType) {
		this.dmpInvitationExistingUserType = dmpInvitationExistingUserType;
	}

	public UUID getDmpModifiedType() {
		return dmpModifiedType;
	}

	public void setDmpModifiedType(UUID dmpModifiedType) {
		this.dmpModifiedType = dmpModifiedType;
	}

	public UUID getDmpFinalisedType() {
		return dmpFinalisedType;
	}

	public void setDmpFinalisedType(UUID dmpFinalisedType) {
		this.dmpFinalisedType = dmpFinalisedType;
	}

	public UUID getDescriptionModifiedType() {
		return descriptionModifiedType;
	}

	public void setDescriptionModifiedType(UUID descriptionModifiedType) {
		this.descriptionModifiedType = descriptionModifiedType;
	}

	public UUID getDescriptionFinalisedType() {
		return descriptionFinalisedType;
	}

	public void setDescriptionFinalisedType(UUID descriptionFinalisedType) {
		this.descriptionFinalisedType = descriptionFinalisedType;
	}

	public UUID getMergeAccountConfirmationType() {
		return mergeAccountConfirmationType;
	}

	public void setMergeAccountConfirmationType(UUID mergeAccountConfirmationType) {
		this.mergeAccountConfirmationType = mergeAccountConfirmationType;
	}

	public UUID getRemoveCredentialConfirmationType() {
		return removeCredentialConfirmationType;
	}

	public void setRemoveCredentialConfirmationType(UUID removeCredentialConfirmationType) {
		this.removeCredentialConfirmationType = removeCredentialConfirmationType;
	}

	public UUID getDmpDepositType() {
		return dmpDepositType;
	}

	public void setDmpDepositType(UUID dmpDepositType) {
		this.dmpDepositType = dmpDepositType;
	}

	public UUID getDescriptionTemplateInvitationType() {
		return descriptionTemplateInvitationType;
	}

	public void setDescriptionTemplateInvitationType(UUID descriptionTemplateInvitationType) {
		this.descriptionTemplateInvitationType = descriptionTemplateInvitationType;
	}

	public int getEmailExpirationTimeSeconds() {
		return emailExpirationTimeSeconds;
	}

	public void setEmailExpirationTimeSeconds(int emailExpirationTimeSeconds) {
		this.emailExpirationTimeSeconds = emailExpirationTimeSeconds;
	}

	public UUID getContactSupportType() {
		return contactSupportType;
	}

	public void setContactSupportType(UUID contactSupportType) {
		this.contactSupportType = contactSupportType;
	}

	public UUID getPublicContactSupportType() {
		return publicContactSupportType;
	}

	public void setPublicContactSupportType(UUID publicContactSupportType) {
		this.publicContactSupportType = publicContactSupportType;
	}

	public String getContactSupportEmail() {
		return contactSupportEmail;
	}

	public void setContactSupportEmail(String contactSupportEmail) {
		this.contactSupportEmail = contactSupportEmail;
	}
}
