package eu.eudat.commons.scope.tenant;

import org.springframework.boot.context.properties.ConfigurationProperties;

@ConfigurationProperties(prefix = "tenant.multitenancy")
public class MultitenancyProperties {
    private boolean isMultitenant;
    private String defaultTenantCode;

    public boolean isMultitenant() {
        return isMultitenant;
    }

    public void setIsMultitenant(boolean multitenant) {
        isMultitenant = multitenant;
    }

    public String getDefaultTenantCode() {
        return defaultTenantCode;
    }

    public void setDefaultTenantCode(String defaultTenantCode) {
        this.defaultTenantCode = defaultTenantCode;
    }
}
