package eu.eudat.commons.types.actionconfirmation;

import eu.eudat.commons.enums.DmpUserRole;
import jakarta.xml.bind.annotation.*;

import java.util.UUID;

@XmlRootElement(name = "dmp-invitation")
@XmlAccessorType(XmlAccessType.FIELD)
public class DmpInvitationEntity {

	@XmlAttribute(name = "email")
	private String email;

	@XmlAttribute(name = "dmp")
	private UUID dmpId;

	@XmlAttribute(name = "dmp-role")
	private DmpUserRole role;

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public UUID getDmpId() {
		return dmpId;
	}

	public void setDmpId(UUID dmpId) {
		this.dmpId = dmpId;
	}

	public DmpUserRole getRole() {
		return role;
	}

	public void setRole(DmpUserRole role) {
		this.role = role;
	}
}
