package eu.eudat.commons.types.descriptiontemplate;

import jakarta.xml.bind.annotation.*;

import java.time.Instant;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
public class RuleEntity {
    @XmlAttribute(name="target")
    private String target;
    @XmlAttribute(name="value")
    private String textValue;

    @XmlElementWrapper(name = "textListValues")
    @XmlElement(name = "textListValue")
    private List<String> textListValue;
    
    @XmlElement(name = "dateValue")
    private Instant dateValue;
    @XmlElement(name="externalIdentifier")
    private ExternalIdentifierEntity externalIdentifier;

    public String getTarget() {
        return target;
    }

    public void setTarget(String target) {
        this.target = target;
    }

    public String getTextValue() {
        return textValue;
    }

    public void setTextValue(String textValue) {
        this.textValue = textValue;
    }

    public List<String> getTextListValue() {
        return textListValue;
    }

    public void setTextListValue(List<String> textListValue) {
        this.textListValue = textListValue;
    }

    public Instant getDateValue() {
        return dateValue;
    }

    public void setDateValue(Instant dateValue) {
        this.dateValue = dateValue;
    }

    public ExternalIdentifierEntity getExternalIdentifier() {
        return externalIdentifier;
    }

    public void setExternalIdentifier(ExternalIdentifierEntity externalIdentifier) {
        this.externalIdentifier = externalIdentifier;
    }
}

