package eu.eudat.commons.types.descriptiontemplate.importexport;

import jakarta.xml.bind.annotation.*;

import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
public class FieldSetImportExport {

    @XmlAttribute(name="id")
    private String id;
    @XmlAttribute(name="ordinal")
    private int ordinal;

    @XmlElementWrapper(name = "fields")
    @XmlElement(name = "field")
    private List<FieldImportExport> fields;
    @XmlAttribute(name="numbering")
    private String numbering;
    @XmlAttribute(name="title")
    private String title;
    @XmlAttribute(name="description")
    private String description;
    @XmlAttribute(name="extendedDescription")
    private String extendedDescription;
    @XmlAttribute(name="additionalInformation")
    private String additionalInformation;
    @XmlElement(name="multiplicity")
    private MultiplicityImportExport multiplicity;
    @XmlAttribute(name="hasCommentField")
    private Boolean hasCommentField;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public int getOrdinal() {
        return ordinal;
    }

    public void setOrdinal(int ordinal) {
        this.ordinal = ordinal;
    }

    public List<FieldImportExport> getFields() {
        return fields;
    }

    public void setFields(List<FieldImportExport> fields) {
        this.fields = fields;
    }

    public String getNumbering() {
        return numbering;
    }

    public void setNumbering(String numbering) {
        this.numbering = numbering;
    }

    public Boolean getHasCommentField() {
        return hasCommentField;
    }
    public void setHasCommentField(Boolean hasCommentField) {
        this.hasCommentField = hasCommentField;
    }

    public MultiplicityImportExport getMultiplicity() {
        return multiplicity;
    }

    public void setMultiplicity(MultiplicityImportExport multiplicity) {
        this.multiplicity = multiplicity;
    }

    public String getTitle() {
        return title;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getExtendedDescription() {
        return extendedDescription;
    }

    public void setExtendedDescription(String extendedDescription) {
        this.extendedDescription = extendedDescription;
    }

    public String getAdditionalInformation() {
        return additionalInformation;
    }

    public void setAdditionalInformation(String additionalInformation) {
        this.additionalInformation = additionalInformation;
    }

    public void setTitle(String title) {
        this.title = title;
    }

}
