package eu.eudat.commons.types.descriptiontemplate.importexport;

import jakarta.xml.bind.annotation.*;

import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
public class SectionImportExport {
    @XmlAttribute(name = "id")
    private String id;
    @XmlAttribute(name = "ordinal")
    private int ordinal;
    @XmlAttribute(name = "defaultVisibility")
    private Boolean defaultVisibility;
    @XmlElementWrapper(name = "fieldSets")
    @XmlElement(name = "fieldSet")
    private List<FieldSetImportExport> fieldSets;
    @XmlElement(name = "numbering")
    private String numbering;
    @XmlElement(name = "description")
    private String description;
    @XmlElement(name = "title")
    private String title;
    @XmlElementWrapper(name = "sections")
    @XmlElement(name = "section")
    private List<SectionImportExport> sections;
    @XmlAttribute(name = "multiplicity")
    private Boolean multiplicity;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public int getOrdinal() {
        return ordinal;
    }

    public void setOrdinal(int ordinal) {
        this.ordinal = ordinal;
    }

    public Boolean getDefaultVisibility() {
        return defaultVisibility;
    }

    public void setDefaultVisibility(Boolean defaultVisibility) {
        this.defaultVisibility = defaultVisibility;
    }

    public List<FieldSetImportExport> getFieldSets() {
        return fieldSets;
    }

    public void setFieldSets(List<FieldSetImportExport> fieldSets) {
        this.fieldSets = fieldSets;
    }

    public String getNumbering() {
        return numbering;
    }

    public void setNumbering(String numbering) {
        this.numbering = numbering;
    }

     public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public List<SectionImportExport> getSections() {
        return sections;
    }

    public void setSections(List<SectionImportExport> sections) {
        this.sections = sections;
    }

    public Boolean getMultiplicity() {
        return multiplicity;
    }

    public void setMultiplicity(Boolean multiplicity) {
        this.multiplicity = multiplicity;
    }

}
