package eu.eudat.elastic.converter;

import eu.eudat.commons.enums.*;
import org.springframework.core.convert.converter.Converter;
import org.springframework.data.convert.ReadingConverter;

@ReadingConverter
public class ShortToDmpStatusConverter implements Converter<Integer, DmpStatus> {
	@Override
	public DmpStatus convert(Integer source) {
		return DmpStatus.of(source.shortValue());
	}
}

