package eu.eudat.elastic.converter;

import eu.eudat.commons.enums.DmpVersionStatus;
import org.springframework.core.convert.converter.Converter;
import org.springframework.data.convert.ReadingConverter;
import org.springframework.data.convert.WritingConverter;

@ReadingConverter
public class ShortToDmpVersionStatusConverter implements Converter<Integer, DmpVersionStatus> {
	@Override
	public DmpVersionStatus convert(Integer source) {
		return DmpVersionStatus.of(source.shortValue());
	}
}
