package eu.eudat.errorcode;

import org.springframework.boot.context.properties.ConfigurationProperties;

@ConfigurationProperties(prefix = "error-thesaurus")
public class ErrorThesaurusProperties {

    private ErrorDescription systemError;

    public ErrorDescription getSystemError() {
        return systemError;
    }

    public void setSystemError(ErrorDescription systemError) {
        this.systemError = systemError;
    }

    private ErrorDescription forbidden;

    public ErrorDescription getForbidden() {
        return forbidden;
    }

    public void setForbidden(ErrorDescription forbidden) {
        this.forbidden = forbidden;
    }

    private ErrorDescription hashConflict;

    public ErrorDescription getHashConflict() {
        return hashConflict;
    }

    public void setHashConflict(ErrorDescription hashConflict) {
        this.hashConflict = hashConflict;
    }

    private ErrorDescription modelValidation;

    public ErrorDescription getModelValidation() {
        return modelValidation;
    }

    public void setModelValidation(ErrorDescription modelValidation) {
        this.modelValidation = modelValidation;
    }

    private ErrorDescription descriptionTemplateNewVersionConflict;

    public ErrorDescription getDescriptionTemplateNewVersionConflict() {
        return descriptionTemplateNewVersionConflict;
    }

    public void setDescriptionTemplateNewVersionConflict(ErrorDescription descriptionTemplateNewVersionConflict) {
        this.descriptionTemplateNewVersionConflict = descriptionTemplateNewVersionConflict;
    }

    private ErrorDescription dmpNewVersionConflict;

    public ErrorDescription getDmpNewVersionConflict() {
        return dmpNewVersionConflict;
    }

    public void setDmpNewVersionConflict(ErrorDescription dmpNewVersionConflict) {
        this.dmpNewVersionConflict = dmpNewVersionConflict;
    }

    public ErrorDescription dmpBlueprintNewVersionConflict;

    public ErrorDescription getDmpBlueprintNewVersionConflict() {
        return dmpBlueprintNewVersionConflict;
    }

    public void setDmpBlueprintNewVersionConflict(ErrorDescription dmpBlueprintNewVersionConflict) {
        this.dmpBlueprintNewVersionConflict = dmpBlueprintNewVersionConflict;
    }

    private ErrorDescription dmpIsFinalized;

    public ErrorDescription getDmpIsFinalized() {
        return dmpIsFinalized;
    }

    public void setDmpIsFinalized(ErrorDescription dmpIsFinalized) {
        this.dmpIsFinalized = dmpIsFinalized;
    }

    private ErrorDescription  dmpCanNotChange;

    public ErrorDescription getDmpCanNotChange() {
        return dmpCanNotChange;
    }

    public void setDmpCanNotChange(ErrorDescription dmpCanNotChange) {
        this.dmpCanNotChange = dmpCanNotChange;
    }
    
    private ErrorDescription  dmpDescriptionTemplateCanNotChange;

    public ErrorDescription getDmpDescriptionTemplateCanNotChange() {
        return dmpDescriptionTemplateCanNotChange;
    }

    public void setDmpDescriptionTemplateCanNotChange(ErrorDescription dmpDescriptionTemplateCanNotChange) {
        this.dmpDescriptionTemplateCanNotChange = dmpDescriptionTemplateCanNotChange;
    }

    private ErrorDescription  invalidDescriptionTemplate;

    public ErrorDescription getInvalidDescriptionTemplate() {
        return invalidDescriptionTemplate;
    }

    public void setInvalidDescriptionTemplate(ErrorDescription invalidDescriptionTemplate) {
        this.invalidDescriptionTemplate = invalidDescriptionTemplate;
    }

    private ErrorDescription descriptionIsFinalized;

    public ErrorDescription getDescriptionIsFinalized() {
        return descriptionIsFinalized;
    }

    public void setDescriptionIsFinalized(ErrorDescription descriptionIsFinalized) {
        this.descriptionIsFinalized = descriptionIsFinalized;
    }

    private ErrorDescription dmpBlueprintHasNoDescriptionTemplates;

    public ErrorDescription getDmpBlueprintHasNoDescriptionTemplates() {
        return dmpBlueprintHasNoDescriptionTemplates;
    }

    public void setDmpBlueprintHasNoDescriptionTemplates(ErrorDescription dmpBlueprintHasNoDescriptionTemplates) {
        this.dmpBlueprintHasNoDescriptionTemplates = dmpBlueprintHasNoDescriptionTemplates;
    }

    private ErrorDescription dmpDescriptionTemplateCanNotRemove;

    public ErrorDescription getDmpDescriptionTemplateCanNotRemove() {
        return dmpDescriptionTemplateCanNotRemove;
    }

    public void setDmpDescriptionTemplateCanNotRemove(ErrorDescription dmpDescriptionTemplateCanNotRemove) {
        this.dmpDescriptionTemplateCanNotRemove = dmpDescriptionTemplateCanNotRemove;
    }

    private ErrorDescription missingTenant;

    public ErrorDescription getMissingTenant() {
        return missingTenant;
    }

    public void setMissingTenant(ErrorDescription missingTenant) {
        this.missingTenant = missingTenant;
    }

    private ErrorDescription tenantNotAllowed;

    public ErrorDescription getTenantNotAllowed() {
        return tenantNotAllowed;
    }

    public void setTenantNotAllowed(ErrorDescription tenantNotAllowed) {
        this.tenantNotAllowed = tenantNotAllowed;
    }
    
    private ErrorDescription tenantTampering;

    public ErrorDescription getTenantTampering() {
        return tenantTampering;
    }

    public void setTenantTampering(ErrorDescription tenantTampering) {
        this.tenantTampering = tenantTampering;
    }
}
