package eu.eudat.integrationevent.inbox;

import jakarta.validation.constraints.NotNull;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.validation.annotation.Validated;

@Validated
@ConfigurationProperties(prefix = "queue.task.listener.options")
//@ConstructorBinding
public class InboxProperties {

    @NotNull
    private final String exchange;

    public InboxProperties(
            String exchange
    ) {
        this.exchange = exchange;
    }

    public String getExchange() {
        return exchange;
    }

}
