package eu.eudat.model;

import eu.eudat.commons.enums.DmpValidationOutput;

import java.util.List;
import java.util.UUID;

public class DmpValidationResult {

    private UUID id;

    public static final String _id = "id";

    private DmpValidationOutput result;

    private List<String> errors;

    public static final String _result = "result";

    public DmpValidationResult() {
    }

    public DmpValidationResult(UUID id, DmpValidationOutput result) {
        this.id = id;
        this.result = result;
    }

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    public DmpValidationOutput getResult() {
        return result;
    }

    public void setResult(DmpValidationOutput result) {
        this.result = result;
    }

    public List<String> getErrors() {
        return errors;
    }

    public void setErrors(List<String> errors) {
        this.errors = errors;
    }
}
