package eu.eudat.model.file;

import eu.eudat.file.transformer.models.misc.FileFormat;

public class RepositoryFileFormat {
	private String format;
	private Boolean hasLogo;
	private String icon;
	private String repositoryId;

	public RepositoryFileFormat(String repositoryId, FileFormat format) {
		this.repositoryId = repositoryId;
		this.format = format.getFormat();
		this.hasLogo = format.getHasLogo();
		this.icon = format.getIcon();
	}

	public String getFormat() {
		return format;
	}

	public void setFormat(String format) {
		this.format = format;
	}

	public Boolean getHasLogo() {
		return hasLogo;
	}

	public void setHasLogo(Boolean hasLogo) {
		this.hasLogo = hasLogo;
	}

	public String getIcon() {
		return icon;
	}

	public void setIcon(String icon) {
		this.icon = icon;
	}

	public String getRepositoryId() {
		return repositoryId;
	}

	public void setRepositoryId(String repositoryId) {
		this.repositoryId = repositoryId;
	}
}
