package eu.eudat.service.deposit;

import eu.eudat.model.EntityDoi;
import eu.eudat.model.persist.deposit.DepositAuthenticateRequest;
import eu.eudat.model.persist.deposit.DepositRequest;
import eu.eudat.model.deposit.DepositConfiguration;
import gr.cite.tools.fieldset.FieldSet;

import java.util.List;

public interface DepositService {
	List<eu.eudat.model.deposit.DepositConfiguration> getAvailableConfigurations(FieldSet fieldSet);

	EntityDoi deposit(DepositRequest dmpDepositModel) throws Exception;

	String getLogo(String repositoryId);

	String authenticate(DepositAuthenticateRequest model);
}
