package eu.eudat.service.keycloak;

import org.springframework.boot.context.properties.bind.ConstructorBinding;

public class KeycloakAuthorityProperties {

    private final String groupId, groupTitle;

    @ConstructorBinding
    public KeycloakAuthorityProperties(String groupId, String groupTitle) {
        this.groupId = groupId;
        this.groupTitle = groupTitle;
    }

    public String getGroupId() {
        return groupId;
    }

    public String getGroupTitle() {
        return groupTitle;
    }
}
