package eu.eudat.service.transformer;


import eu.eudat.model.file.TransformerCacheModel;
import gr.cite.tools.cache.CacheService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class FileTransformerConfigurationCache extends CacheService<TransformerCacheModel> {
    @Autowired
    public FileTransformerConfigurationCache(FileTransformerCacheOptions options) {
        super(options);
    }

    @Override
    protected Class<TransformerCacheModel> valueClass() {
        return TransformerCacheModel.class;
    }
}
