package eu.eudat.authorization;


import eu.eudat.commons.enums.DmpUserRole;
import org.springframework.boot.context.properties.bind.ConstructorBinding;

import java.util.Set;

public class DmpRole {
	private final Set<DmpUserRole> roles;

	@ConstructorBinding
	public DmpRole(Set<DmpUserRole> roles) {
		this.roles = roles;
	}

	public Set<DmpUserRole> getRoles() {
		return roles;
	}

}
