import { BaseEntity } from "@common/base/base-entity.model";
import { Reference } from "../reference/reference";
import { Dmp } from "./dmp";
import { Guid } from "@common/types/guid";

export interface DmpReference extends BaseEntity {
	dmp?: Dmp;
	reference?: Reference;
	data: DmpReferenceData;
}

export interface DmpReferenceData {
	blueprintFieldId: Guid;
}