import { Component, Input, OnInit } from '@angular/core';
import { DescriptionTemplateFieldSet } from '@app/core/model/description-template/description-template';

@Component({
	selector: 'app-description-form-field-set-title',
	templateUrl: './field-set-title.component.html',
	styleUrls: ['./field-set-title.component.scss']
})
export class DescriptionFormFieldSetTitleComponent implements OnInit {

	@Input() fieldSet: DescriptionTemplateFieldSet;
	@Input() isChild: Boolean = false;
	@Input() path: string;

	public showExtendedDescription: boolean = false;

	constructor() { }

	ngOnInit() {
	}
}
