import { DescriptionTemplateField, DescriptionTemplateRule } from "@app/core/model/description-template/description-template";

export class RuleWithTarget {
	source: string;
	target: string;
	textValue: string;
	textListValue: string[];
	dateValue: Date;
	field: DescriptionTemplateField;

	public constructor(source: string, rule: DescriptionTemplateRule , fieldEntity: DescriptionTemplateField) {
		this.target = rule.target;
		this.source = source;
		this.field = fieldEntity;
		this.textValue = rule.textValue;
		this.textListValue = rule.textListValue;
		this.dateValue = rule.dateValue;
	}
}
