import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { DescriptionOverviewComponent } from './description-overview.component';

const routes: Routes = [
	{
		path: ':id',
		component: DescriptionOverviewComponent,
		data: {
			breadcrumb: true,
			title: 'GENERAL.TITLES.DATASET-OVERVIEW'
		},
	},
	{
		path: 'public/:publicId',
		component: DescriptionOverviewComponent,
		data: {
			breadcrumb: true,
			title: 'GENERAL.TITLES.DATASET-OVERVIEW'
		},
	}
];

@NgModule({
	imports: [RouterModule.forChild(routes)],
	exports: [RouterModule],
	providers: []
})
export class DescriptionOverviewRoutingModule { }
