import { NgModule } from '@angular/core';
import { CommonFormsModule } from '@common/forms/common-forms.module';
import { CommonUiModule } from '@common/ui/common-ui.module';
import { DmpFormProgressIndicationComponent } from './dmp-form-progress-indication.component';

@NgModule({
	imports: [
		CommonUiModule,
		CommonFormsModule
	],
	declarations: [
		DmpFormProgressIndicationComponent
	],
	exports: [
		DmpFormProgressIndicationComponent
	]
})
export class DmpFormProgressIndicationModule { }
