import { NgModule } from '@angular/core';
import { FormattingModule } from '@app/core/formatting.module';
import { CommonFormsModule } from '@common/forms/common-forms.module';
import { CommonUiModule } from '@common/ui/common-ui.module';
import { DmpUploadDialogModule } from '../upload-dialogue/dmp-upload-dialog.module';
import { StartNewDmpDialogComponent } from './start-new-dmp-dialog.component';

@NgModule({
	imports: [
		CommonUiModule,
		CommonFormsModule,
		FormattingModule,
		DmpUploadDialogModule
	],
	declarations: [
		StartNewDmpDialogComponent,
	],
	exports: [
		StartNewDmpDialogComponent,
	]
})
export class StartNewDmpDialogModule { }
