import { Guid } from '@common/types/guid';
import { NotificationType } from '@notification-service/core/enum/notification-type.enum';
import { NotificationContactType } from '../enum/notification-contact-type';

export interface UserNotificationPreference {
	userId?: Guid;
	type: NotificationType;
	channel: NotificationContactType;
	ordinal: number;
	createdAt?: Date;
}

export interface UserNotificationPreferencePersist {
	userId?: Guid;
	notificationPreferences: { [key: string]: NotificationContactType[] };
}
