package eu.old.eudat.data.dao.entities;

import eu.old.eudat.data.dao.DatabaseAccessLayer;
import eu.old.eudat.data.dao.criteria.OrganisationCriteria;
import eu.old.eudat.data.entities.Organisation;
import eu.old.eudat.data.entities.UserInfo;
import eu.old.eudat.queryable.QueryableList;

import java.util.UUID;

public interface OrganisationDao extends DatabaseAccessLayer<Organisation, UUID> {

    QueryableList<Organisation> getWithCriteria(OrganisationCriteria criteria);
    QueryableList<Organisation> getAuthenticated(QueryableList<Organisation> query, UserInfo principal);

}