package gr.cite.notification.common.enums;

import com.fasterxml.jackson.annotation.JsonValue;
import gr.cite.notification.data.conventers.DatabaseEnum;

import java.util.Map;

public enum NotificationInAppTracking implements DatabaseEnum<Short> {
    STORED((short)0),
    DELIVERED((short)1);

    private final Short value;

    NotificationInAppTracking(Short value) {
        this.value = value;
    }

    @JsonValue
    public Short getValue() {
        return value;
    }

    private static final Map<Short, NotificationInAppTracking> map = EnumUtils.getEnumValueMap(NotificationInAppTracking.class);

    public static NotificationInAppTracking of(Short i) {
        return map.get(i);
    }
}
