package gr.cite.notification.common.types.notificationtemplate;

import gr.cite.notification.common.enums.EmailOverrideMode;

import java.util.List;

public class NotificationTemplateValueEntity {

    private String subjectText;
    private String subjectKey;
    private FieldOptionsEntity subjectFieldOptions;
    private String bodyText;
    private String bodyKey;
    private String priorityKey;
    private Boolean allowAttachments;
    private List<String> cc;
    private EmailOverrideMode ccMode;
    private List<String> bcc;
    private EmailOverrideMode bccMode;
    private List<String> extraDataKeys;
    private FieldOptionsEntity bodyFieldOptions;

    public String getSubjectText() {
        return subjectText;
    }

    public void setSubjectText(String subjectText) {
        this.subjectText = subjectText;
    }

    public String getSubjectKey() {
        return subjectKey;
    }

    public void setSubjectKey(String subjectKey) {
        this.subjectKey = subjectKey;
    }

    public FieldOptionsEntity getSubjectFieldOptions() {
        return subjectFieldOptions;
    }

    public void setSubjectFieldOptions(FieldOptionsEntity subjectFieldOptions) {
        this.subjectFieldOptions = subjectFieldOptions;
    }

    public String getBodyText() {
        return bodyText;
    }

    public void setBodyText(String bodyText) {
        this.bodyText = bodyText;
    }

    public String getBodyKey() {
        return bodyKey;
    }

    public void setBodyKey(String bodyKey) {
        this.bodyKey = bodyKey;
    }

    public String getPriorityKey() {
        return priorityKey;
    }

    public void setPriorityKey(String priorityKey) {
        this.priorityKey = priorityKey;
    }

    public Boolean getAllowAttachments() {
        return allowAttachments;
    }

    public void setAllowAttachments(Boolean allowAttachments) {
        this.allowAttachments = allowAttachments;
    }

    public List<String> getCc() {
        return cc;
    }

    public void setCc(List<String> cc) {
        this.cc = cc;
    }

    public EmailOverrideMode getCcMode() {
        return ccMode;
    }

    public void setCcMode(EmailOverrideMode ccMode) {
        this.ccMode = ccMode;
    }

    public List<String> getBcc() {
        return bcc;
    }

    public void setBcc(List<String> bcc) {
        this.bcc = bcc;
    }

    public EmailOverrideMode getBccMode() {
        return bccMode;
    }

    public void setBccMode(EmailOverrideMode bccMode) {
        this.bccMode = bccMode;
    }

    public List<String> getExtraDataKeys() {
        return extraDataKeys;
    }

    public void setExtraDataKeys(List<String> extraDataKeys) {
        this.extraDataKeys = extraDataKeys;
    }

    public FieldOptionsEntity getBodyFieldOptions() {
        return bodyFieldOptions;
    }

    public void setBodyFieldOptions(FieldOptionsEntity bodyFieldOptions) {
        this.bodyFieldOptions = bodyFieldOptions;
    }
}
